//Written by Jiangjian Xiao

#ifndef __DEFINE_H__
#define __DEFINE_H__

#include <math.h>

#define PI					3.141592653589793
#define DEC2RAD(A)		((A)*(PI/180.0))
#define RAD2DEC(A)		((A)*(180.0/PI))
#define SIND(A)			sin((A)*(PI/180.0))
#define COSD(A)			cos((A)*(PI/180.0))
#define absf(a)			(float)fabs(a)
#define SMALL(a,b)		(a>b ? b:a)
#define LARGE(a,b)		(a<b ? b:a)

typedef unsigned char	uchar;

int round(float a);
int round(double a); 

#endif